Subject: bug#64185: proposal for new function: copy-line

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Jun 2023 08:08:07 +0300

> From: Zachary Kanfer <[email-masked]>
> Date: Wed, 21 Jun 2023 23:33:15 -0400
> Cc: Eshel Yaron <[email-masked]>, [email-masked]
> 
> I do think it's more useful to put point on the second line; I almost always find myself wanting to edit the
> "new" line, not the old one. Yes, there isn't really a new vs old line, but I write the first thing I want to see
> first, then want to duplicate it to make a changed second line.

We could have the prefix arg of - (i.e., "C-u - M-x ...") produce that
behavior from duplicate-line.  Or we could have a user option to do
that regardless of the argument, but then we should decide on which of
the N new lines to put point: the first one copied or the last one.

> I suspect that although it hasn't been in a released version yet, it's slightly late to have a discussion
> about changing the behavior to leave point on the second line instead of the first.

Not the default behavior, but we could have it optionally behave
differently.